/****************************************************************************/
/*                                                                          */
/*    Maxtime.h    Version 1.0    By Craig Derouen                          */
/*                                                                          */
/****************************************************************************/


#include <stdio.h>
#include <io.h>
#include <conio.h>
#include <ctype.h>
#include <string.h>
#include <stdlib.h>
#include <fcntl.h>
#include <share.h>
#include <dos.h>
#include <bios.h>
#include <direct.h>
#include <errno.h>
#include <malloc.h>
#include <time.h>
#include <sys\timeb.h>
#include <sys\types.h>
#include <sys\stat.h>

#include "compiler.h"
#include "prog.h"
#include "max.h"

#define  Version 1.00
#define  TRUE  1
#define  FALSE 0

#define  IDLETIME 3		/* # of minutes to allow for idle input */

/* Error codes */
#define  BADALLOC    1
#define  BADEXEC     2
#define  FILEOPEN    3
#define  FILECREATE  4
#define  FILEWRITE   5
#define  DROPCARRIER 6
#define  USERIDLE    7

/* Text style attribute defines */

#define STD_TEXT        0
#define HILITE_TEXT     1
#define MENU_KEY        2
#define TIME_LEFT       3
#define PROMPT_TEXT     4
#define ATTN_TEXT       5

struct user_cfg {
   byte           name[36];	   /* Same as in User file */
   byte           isused;  	   /* 1 if used, 0 if not */
   time_t         lasttime;      /* Unix compat time of last logon */
   unsigned long  banktime;		/* # of minutes reserved for user */
   word           deposits;  		/* # of times we have made deposits */
   word           withdraws; 		/* # of times we have made withdrawals */
   word           dailydep;		/* Amount of time we have deposited TODAY */
   word           dailywtd;		/* Amount of time we have withdrawn TODAY */
   word           calls;   		/* # of minutes reserved for user */
   word           flags;         /* Various user flags */
   word           timetoday;		/* Amount of time used today */
   byte  rsvd[8];
};

/* User Flag defines */

#include "protos.h"
